<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class AccountRef implements Api\Iam\Access\Common\V1\HasTenantId
{
    public string $accountId;
    public string $tenantId;

    /**
     * @param  null  $accountId
     * @param  null  $tenantId
     */
    public function __construct(string $accountId, string $tenantId)
    {
        $this->accountId = $accountId;
        $this->tenantId = $tenantId;
    }
    
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
}