<?php
namespace Bushelpowered\Api\Platform\Subscription\V1\Response;
        
class GetAllSubscriptionResponse 
{
    public ?string $subscriptionId = null;
    public string $accountId;
    public string $sourceAccountId;
    public string $accountName;
    public string $featureId;
    public string $featureName;
    public ?bool $isSubscribed = null;
    public ?int $createdAt = null;
    public ?int $updatedAt = null;

    /**
     * @param  null  $subscriptionId
     * @param  null  $accountId
     * @param  null  $sourceAccountId
     * @param  null  $accountName
     * @param  null  $featureId
     * @param  null  $featureName
     * @param  null  $isSubscribed
     * @param  null  $createdAt
     * @param  null  $updatedAt
     */
    public function __construct(?string $subscriptionId, string $accountId, string $sourceAccountId, string $accountName, string $featureId, string $featureName, ?bool $isSubscribed, ?int $createdAt, ?int $updatedAt)
    {
        $this->subscriptionId = $subscriptionId;
        $this->accountId = $accountId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountName = $accountName;
        $this->featureId = $featureId;
        $this->featureName = $featureName;
        $this->isSubscribed = $isSubscribed;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}