<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class CheckResponse implements Api\Iam\Access\Common\V1\Mixins\HasResultWindow
{
    public bool $all;
    /** @var string[] $granted */
    public array $granted;
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow;

    /**
     * @param  null  $all
     * @param  string[]  $granted
     * @param  null  $resultWindow
     */
    public function __construct(bool $all, array $granted, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->all = $all;
        $this->granted = $granted;
        $this->resultWindow = $resultWindow;
    }
    
    public function getResultWindow(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}