<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetOrCreateAccountBySlugRequest 
{
    public string $slug;
    public string $sourceId;
    public ?string $sourceLocationId = null;
    public ?string $locationIntegrationId = null;
    public ?string $locationId = null;
    public ?string $sourceName = null;
    public ?string $name = null;

    /**
     * @param  null  $slug
     * @param  null  $sourceId
     * @param  null  $sourceLocationId
     * @param  null  $locationIntegrationId
     * @param  null  $locationId
     * @param  null  $sourceName
     * @param  null  $name
     */
    public function __construct(string $slug, string $sourceId, ?string $sourceLocationId, ?string $locationIntegrationId, ?string $locationId, ?string $sourceName, ?string $name)
    {
        $this->slug = $slug;
        $this->sourceId = $sourceId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationIntegrationId = $locationIntegrationId;
        $this->locationId = $locationId;
        $this->sourceName = $sourceName;
        $this->name = $name;
    }
    

}